2010年8月 3日

[installer 2460] socat-1.7.1.3

socat-1.7.1.3 出ています。

セキュリティホールの修正版です。
http://www.dest-unreach.org/socat/contrib/socat-secadv2.html
参照のこと。

☆ socat-1.7.1.3
http://www.dest-unreach.org/socat/

http://www.dest-unreach.org/socat/download/socat-1.7.1.3.tar.gz

####################### V 1.7.1.3:

security:
fixed a stack overflow vulnerability that occurred when command
line arguments (whole addresses, host names, file names) were longer
than 512 bytes.
Note that this could only be exploited when an attacker was able to
inject data into socat's command line.
Full credits to Felix Grテカbert, Google Security Team, for finding and
reporting this issue

----
こがよういちろう


投稿者 xml-rpc : 2010年8月 3日 09:36
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/97424
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。